<script lang="ts">
    import { get } from '$lib/fetch'

    let scores = []
    $: get('/api/factions/getPoint').then(({ res }) => (scores = res.data))
</script>

{#each scores as faction}
    <div class="ml-4">
        <p class="name">{faction.name}</p>
        <div class="flex">
            <div class="flex">
                <div class="point red">
                    <p>{faction.red}</p>
                </div>
            </div>
            <div class="flex">
                <div class="point yellow">
                    <p>{faction.yellow}</p>
                </div>
            </div>
            <div class="flex">
                <div class="point orange">
                    <p>{faction.orange}</p>
                </div>
            </div>
            <div class="flex">
                <div class="point violet">
                    <p>{faction.violet}</p>
                </div>
            </div>
        </div>
    </div>
{/each}

<style lang="postcss">
    .point {
        @apply rounded-full p-1 mr-1;
        &.yellow {
            @apply text-tile-yellow;
        }
        &.red {
            @apply text-tile-red;
        }
        &.violet {
            @apply text-tile-violet;
        }
        &.orange {
            @apply text-tile-orange;
        }
    }
    .name {
        @apply w-full text-center font-bold dark:text-white;
    }
</style>
